makecol15_dither(3)

NAME
makecol15_dither, makecol16_dither - Calculates a dithered 15 or 16-bit RGB value. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int makecol15_dither(int r, int g, int b, int x, int y); int makecol16_dither(int r, int g, int b, int x, int y);

DESCRIPTION
Given both a color value and a pixel coordinate, calculate a dithered 15 or 16-bit RGB value. This can produce better results when reducing images from truecolor to hicolor. In addition to calling these functions directly, hicolor dithering can be automatically enabled when loading graphics by calling the set_color_conversion() function, for example set_color_conversion(COLORCONV_REDUCE_TRUE_TO_HI | COLORCONV_DITHER). Example:
   int pixel1, pixel2;

   /* The following two color values MAY be different. */
   pixel1 = makecol16_dither(255, 192, 64, 0, 0);
   pixel2 = makecol16_dither(255, 192, 64, 1, 0);

RETURN VALUE
Returns the RGB value dithered for the specified coordinate.

SEE ALSO
makecol(3), makecol8(3), set_color_conversion(3)